import '../utility/log.dart';

import 'package:flutter/services.dart';

class PlacementAPI {
  final MethodChannel _method;

  PlacementAPI(this._method);

  void click(String trackingLink) {
    Log.info('click $trackingLink');

    _method.invokeMethod('click', {
      'trackingLink': trackingLink,
    });
  }

  void impression(String trackingLink) {
    Log.info('impression $trackingLink');

    _method.invokeMethod('impression', {
      'trackingLink': trackingLink,
    });
  }
}
