Pod::Spec.new do |s|
    s.name                  = 'airbridge_flutter_sdk'
    s.version               = '3.3.0'
    s.summary               = 'Airbridge SDK for Flutter.'
    s.description           = 'Airbridge SDK for Flutter.'
    s.homepage              = 'https://airbridge.io'
    s.author                = 'ab180'
    s.license               = { :file => '../LICENSE' }
    s.source                = { :path => '.' }
    s.source_files          = 'Classes/**/*'
    s.dependency            'Flutter'
    s.dependency            'AirBridge', '1.32.0'
    s.platform              = :ios, '11.0'

    s.pod_target_xcconfig   = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
    s.swift_version         = '5.0'

    s.static_framework      = true
end
